Name: bdsync
Summary: a fast block device synchronizing tool
Version: 0.11.1
Release: 1%{?dist}
Url: https://github.com/TargetHolding/bdsync
Source: https://github.com/TargetHolding/bdsync/archive/v%{version}.tar.gz
License: GPLv2
BuildRequires: openssl-devel gcc pandoc

%description
Bdsync can be used to synchronize block devices over a network. It generates a
"binary patchfile" in an efficient way by comparing checksums of blocks of the
local block device LOCDEV and the remote block device REMDEV.

This binary patchfile can be sent to the remote machine and applied to its
block device REMDEV, after which the local blockdev LOCDEV and the remote block
device REMDEV are synchronized.

Both LOCDEV, REMDEV and DSTDEV can be true block devices, but may be (image)
files as well. When using an image file for DSTDEV (the **--patch** mode),
the **--diffsize** may be used to resize the image file when appropriate.

bdsync was built to do the only thing rsync isn't able to do: synchronize block
devices.

%prep
%autosetup

%build
make CFLAGS='%{optflags}'

%check
make test

%install
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
cp -a %{name} $RPM_BUILD_ROOT/%{_bindir}/%{name}
cp -a %{name}.1 $RPM_BUILD_ROOT/%{_mandir}/man1/%{name}.1

%files 
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Sat Jul 13 2019 Kevin Fenzi <kevin@scrye.com> - 0.11.1-1
- Initial version for fedora.

* Tue Jan 20 2015 Rolf Fokkens <rolf.fokkens@target-holding.nl>
- rebased on github 0.8

* Thu Oct 02 2014 Rolf Fokkens <rolf.fokkens@target-holding.nl>
- rebased on github 0.7

* Thu Jun 28 2012 Rolf Fokkens <rolf@rolffokkens.nl>
- bump release (0.3)

* Sun Jun 24 2012 Rolf Fokkens <rolf@rolffokkens.nl>
- initial package (0.1)
